@import "val";

.index-wrap {
    position: relative;
    max-width: 980px;
    height: 100vh;
    margin: 0 auto;

    h2 {
        font-size: 3rem;
        text-align: center;
        padding: 0 20px 40px 20px;
        line-height: 1.6;
        @media screen and (max-width: 726px) {
            font-size: 2.4rem;
            padding: 0 20px 40px 20px;
        }
    }
}
.content-wrap {
    position: relative;
    max-width: 980px;
    // height: 100vh;
    margin: 0 auto;

    h2 {
        font-size: 3rem;
        text-align: center;
        padding: 0 20px 40px 20px;
        line-height: 1.6;
        @media screen and (max-width: 726px) {
            font-size: 2.4rem;
            padding: 0 20px 40px 20px;
        }

        &.grade {
            padding-top: 80px;
            @media screen and (max-width: 726px) {
                padding: 20px 0 20px 0;
            }
        }
    }
}
.grade-index {
    position: absolute;
    width: 100%;
    max-width: 740px;
    // margin: 0 auto;
    background: #fff;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 50px;
    box-shadow:0px 13px 21px -5px rgba(0, 0, 0, 0.3);
    @media screen and (max-width: 860px) {
        padding: 20px;
    }
    @media screen and (max-width: 340px) {
        padding: 10px;
    }

    h2 {
        font-size: 3rem;
        text-align: center;
        padding: 0 20px 40px 20px;
        @media screen and (max-width: 726px) {

        }
    }
}
.grade-list {
    text-align: center;

    ul {
        text-align: left;
        font-size: 0;
        display: inline-block;
        @media screen and (max-width: 860px) {

        }
        @media screen and (max-width: 580px) {

        }
    }
    li {
        // width: 100px;
        padding: 14px;
        display: inline-block;
        vertical-align: top;
        @media screen and (max-width: 340px) {
            padding: 10px;
        }

        a {
            position: relative;
            display: block;
            font-size: 1.8rem;
            // border: 1px solid #ccc;
            border-radius: 100%;
            width: 80px;
            height: 80px;
            background: #4467B3;
            color: #fff;
            text-decoration: none;

            span {
                display: block;
                position: absolute;
                top: 50%;
                left: 0;
                width: 100%;
                transform: translateY(-50%);
                text-align: center;
            }
        }
        &.is-empty {
            width: 80px;
            height: 0;
            padding-top: 0;
            padding-bottom: 0;
            margin-top: 0;
            margin-bottom: 0;
        }
    }
}
.year-content {
    h3 {
        font-size: 2.5rem;
        margin-bottom: 30px;
        @media screen and (max-width: 990px) {
            text-align: center;
        }
        @media screen and (max-width: 726px) {
            font-size: 2rem;
        }
    }
}
.times-content {
    margin-bottom: 80px;

    h4 {
        font-size: 2rem;
        margin-bottom: 30px;
        text-align: center;
        font-weight: bold;
        font-weight: 700;
        @media screen and (max-width: 726px) {
            font-size: 1.8rem;
        }

        span {
            &.year {
                display: inline-block;
                margin-right: 1rem;
                font-size: 1.6rem;
                // display: none;
                @media screen and (max-width: 940px) {
                    // display: inline-block;
                    font-size: 1.4rem;
                    margin-right: 0;
                    margin-bottom: 10px;
                    display: block;
                }
            }
        }
    }
    ul {
        display: flex;
        justify-content: space-between;
        flex-flow: wrap;
        @media screen and (max-width: 726px) {
            display: block;
        }
    }
    li {
        width: 33.3333%;
        max-width: 300px;
        background: #fff;
        box-shadow:0px 13px 21px -5px rgba(0, 0, 0, 0.3);
        border-radius: 5px;
        @media screen and (max-width: 990px) {
            width: 30%;
        }
        @media screen and (max-width: 726px) {
            width: 95%;
            max-width: 95%;
            display: block;
            margin: 0 auto;
            margin-bottom: 40px;
            border-radius: 0;
        }

        a {
            display: inline-block;
            color: #4467B3;
            font-size: 1.5rem;
            line-height: 1.5;
            // font-weight: bold;
            // font-weight: 700;
            text-decoration: none;

            &.btn {
                position: relative;
                width: 180px;
                background: #4467B3;
                color: #fff;
                padding: 10px 0;
                border-radius: 5px;

                // s
            }
        }
    }
    .item {
        margin-bottom: 20px;
        color: #4467B3;
        font-size: 1.5rem;
        line-height: 1.5;
        text-align: center;

        i {
            display: inline-block;
            margin-right: 8px;
        }
    }
    .sound-item {
        p {
            font-size: 1.5rem;
            color: #000;
        }
    }
    .card-item {
        padding: 30px 30px 20px 30px;
        @media screen and (max-width: 990px) {
            padding: 20px 20px 10px 20px;
        }
    }
    .btn-wrap {
        font-size: 0;
        text-align: center;

        .btn {
            display: inline-block;
            vertical-align: top;
            padding: 16px;
            @media screen and (max-width: 790px) {
                padding: 10px;
            }

            a {
                display: inline-block;
                position: relative;
                font-size: 3rem;
                width: 60px;
                height: 60px;
                color: #fff;
                background: #4467B3;;
                border-radius: 100%;

                i {
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%,-50%);
                    margin-right: 0;
                }
            }
            p {
                padding-top: 6px;
                font-size: 1.2rem;
                color: #000;
            }
        }
    }
}